Subject: Re: [cuss] REQ-4 comment

From: Alan Johnston <[email-masked]>
Date: Wed, 3 Nov 2010 09:38:59 -0500

I think this is a good idea.

- Alan -

On Fri, Oct 1, 2010 at 4:55 PM, DRAGE, Keith (Keith) <
[email-masked]> wrote:

> Requirement 4 states:
>
>   REQ-4: The mechanism will allow UUI to be able to survive proxy
>   retargeting.
>
>      Retargeting is a common method of call routing in SIP, and must
>      not result in the loss of user to user information.
>
> I would like to extend this to be:
>
>   REQ-4: The mechanism will allow UUI to be able to survive proxy
>   retargeting or any other form of redirection of the request.
>
> The reason for this is that in the ISDN, the UUI survives call forwarding,
> and I would like any SIP service simulating the ISDN call forwarding service
> to be able to do likewise.
>
> Specifically if A forwards to B1, B1 forwards to B2, and B2 forwards to C,
> B1 and B2 will both receive the UUI if they receive the information about
> the forwarded call. Further C will also receive the UUI.
>
> As the call forwarding may not be performed by a proxy, it seems to be
> sensible to make this requirement a little wider.
>
> regards
>
> Keith
> _______________________________________________
> cuss mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cuss
>